Bug 8087 - Wrong sound chip found on Dell Latitude CPi (PII 300MHz)
Wrong sound chip found on Dell Latitude CPi (PII 300MHz)
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: sndconfig (Show other bugs)
6.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-12-31 12:28 EST by Neal Pitts
Modified: 2014-03-16 22:11 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-01-18 12:09:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Neal Pitts 1999-12-31 12:28:55 EST
When I run sndconfig on my Dell Latitude CPi laptop, sndconfig allowed me
to choose the Crystal CS423x sound chip, which is what the laptop runs.
The sound tests run by sndconfig appear to work - I can hear the wav and
midi sounds.  However, when running any other sound program such as play or
XMMS, the sound comes out sounding very slow, like it's playing at the
wrong sample rate.

The fix for this was very simple.  I checked /etc/conf.modules and found
the sound card was set to a CS 4232.  The spec sheet at
http://support.dell.com shows I have a 4237.  Wherever I found a 4232 in
/etc/conf.modules, I changed that to 4237.  Now my Shoutcast streams play
perfectly. :)
Comment 1 Bill Nottingham 2000-01-03 11:12:59 EST
That really shouldn't have worked, as there is no cs4237 module
for it to load.

What does your working /etc/conf.modules look like?
Comment 2 Neal Pitts 2000-01-03 11:35:59 EST
> cat /etc/conf.modules
alias eth0 3c59x
alias sound cs4237
pre-install sound /sbin/insmod sound dmabuf=1
alias midi opl3
options opl3 io=0x388
options cs4237 io=0x530 irq=5 dma=0 dma2=0 mpuio=0x330 mpuirq=5
Comment 3 Bill Nottingham 2000-01-03 11:40:59 EST
This works for you? What does 'cat /dev/sndstat' and 'lsmod'
say?
Comment 4 Neal Pitts 2000-01-03 12:06:59 EST
This does work me.  I honestly didn't expect it to, but it does.  I've been
taught to troubleshoot using the most obvious tactics first, and changing
/etc/conf.modules like I did was as obvious as I could get.

/dev/sndstat ---
[root@phatdaddy /root]# cat /dev/sndstat
OSS/Free:3.8s2++-971130
Load type: Driver loaded as a module
Kernel: Linux phatdaddy.corp.digex.com 2.2.12-20 #1 Mon Sep 27 10:40:35 EDT 1999
i686
Config options: 0

Installed drivers:

Card config:

Audio devices:
0: Crystal audio controller (CS4236)

Synth devices:
0: Yamaha OPL3

Midi devices:

Timers:
0: System clock
1: Crystal audio controller (CS4236)

Mixers:
0: Crystal audio controller (CS4236)

lsmod ---
[root@phatdaddy /root]# lsmod
Module                  Size  Used by
opl3                   11208   0
cs4232                  2440   0
uart401                 5968   0  [cs4232]
ds                      5740   2
i82365                 22640   2
pcmcia_core            39912   0  [ds i82365]
3c59x                  19112   1  (autoclean)
ad1848                 15920   0  [cs4232]
sound                  57240   0  [opl3 cs4232 uart401 ad1848]
soundcore               2372   5  [sound]
soundlow                 300   0  [sound]
Comment 5 Bill Nottingham 2000-01-03 16:19:59 EST
That's the weird thing though; with those entries in /etc/conf.modules,
the cs4232 module should never have been loaded in the first place.

I'm at a loss to explain how this works for you, as it shouldn't. ;)

A couple of things you might want to look at:
The setting of 'dma=0 dma2=0' is somewhat odd ; normal
is 'dma=1 dma2=0'.

You might also want to try changing /etc/pcmcia/config.opts
from:

include port=0x100-0x4ff

to

include port=0x100-0x1ff
Comment 6 Neal Pitts 2000-01-03 23:37:59 EST
I can try what you suggest.  I see what you did for bug #7412 and perhaps this
might yield interesting results.  I still do get some "popping" noises for some
sounds, especially Enlightenment and Gnome efffects so some tweaking is to my
advantage if I can be rid of those last few problems.
Comment 7 Bill Nottingham 2000-01-18 12:09:59 EST
There are known problems with the cs4232 driver causing 'popping'
noises; so far there isn't a fix.

Note You need to log in before you can comment on or make changes to this bug.